<?php
declare( strict_types=1 );

namespace FiboFilters\Indexer;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

interface SourceQueryInterface {
	public function get_data(): array;

	public function get_query(): string;

	public function get_source_values( array $source_data ): array;
}
